ZIP_ERROR_STRERROR(3) | Library Functions Manual | ZIP_ERROR_STRERROR(3)

# NAME

`zip_error_strerror` — create human-readable string for zip_error

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

const char *
`zip_error_strerror`(zip_error_t *ze);

# DESCRIPTION

The `zip_error_strerror`() function returns an error message string corresponding to ze like strerror(3). This string will stay valid until the next call to `zip_error_strerror`() or until zip_error_fini(3) is called.

# SEE ALSO

libzip(3), strerror(3), zip_error_fini(3)

# HISTORY

`zip_error_strerror`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH